from dataclasses import dataclass, field
from typing import List

from pandas import DataFrame


@dataclass
class DatasetParams:
    target: str
    sep: str
    decimal: str
    train_volume: float
    input: List[str] = field(default_factory=lambda: [])


@dataclass
class SplittedDataset:
    X_train: DataFrame
    X_test: DataFrame
    y_train: DataFrame
    y_test: DataFrame
